Xampp 1.7.0 Apache 2.2.11 don't works in WIN XP Embedded!!!

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Xampp 1.7.0 Apache 2.2.11 don't works in WIN XP Embedded!!!

Postby rotini » 29. January 2009 16:49

I have a problem when i have update Xampp 1.6.6a to Xampp 1.7.0. My OS is Windows XP Embedded SP2 and here Apache 2.2.11 don't works. Infact when it try to start appear a message that ask to send to Apache The error. How can i do to update only Mysql from 5.0.3 Version included on Xampp 1.6.6a to Mysql 5.1.3 included on Xampp 1.7.0?
Thank You so much!!!
rotini
 
Posts: 2
Joined: 29. January 2009 16:37

Re: Xampp 1.7.0 Apache 2.2.11 don't works in WIN XP Embedded!!!

Postby dmphotography » 29. January 2009 22:40

It is clearly stated there are known issues when updating to XAMPP 1.7. The best and easiest solution is to make a backup of your XAMPP folder, then uninstall the older version and install XAMPP 1.7 new. Copy your htdocs folder, your vhost configuration file (if you're using vhosts) and your mysql data folder to transfer your databases to the new MySQL server.

As far as just upgrading your MySQL server, you will more than likely encounter problems with the phpMyAdmin version and the new MySQL server. It's not a terribly complicated update, but I highly recommend just uninstalling the old version of XAMPP and installing the new version. This will be the easiest solution.
For great video and written tutorials and guides on creating your own web server and installing things such as forums, blogs, etc., visit http://myownhomeserver.com
dmphotography
 
Posts: 191
Joined: 15. December 2008 14:25
Location: Columbus, MS
Operating System: Windows 7

Re: Xampp 1.7.0 Apache 2.2.11 don't works in WIN XP Embedded!!!

Postby Izzy » 29. January 2009 23:49

dmphotography wrote:Copy your htdocs folder, your vhost configuration file (if you're using vhosts) and your mysql data folder to transfer your databases to the new MySQL server.

By all means make a backup or Copy of xampp of the old version, good practice...

...but in case there is some confusion with what to copy over then only copy over to the new install xampp\htdocs folder your own files and folders not any of the old xampp version files including any conf or ini files - just edit the new version conf or ini files with your own entries from the old to the new.

This applies also to the MySQL data folder, only copy over your own database folders that you know by their database names and not any of the system database folders like mysql and phpmyadmin to the new installation or you could end up in strife with unpredictable errors.

You are of course correct about the upgrade and not only is it not recommended to upgrade unless you are prepared to do some extra work but it is also not available from 1.6.6 to 1.7.0.
Izzy
 
Posts: 3344
Joined: 25. April 2006 17:06

Re: Xampp 1.7.0 Apache 2.2.11 don't works in WIN XP Embedded!!!

Postby rotini » 30. January 2009 12:18

Thank you, but my problem if install Xampp 1.7.0 is that Apache 2.2.11 don't works!!!
Only version abaout apache that works is 2.0..
rotini
 
Posts: 2
Joined: 29. January 2009 16:37

Re: Xampp 1.7.0 Apache 2.2.11 don't works in WIN XP Embedded!!!

Postby Izzy » 30. January 2009 12:23

The SourceForge repository holds older XAMPP versions that might fit your needs.

If there is a next time, remember it helps if you give full details of your issue, don't works tells us nothing of importance and is totally irrelevant and unhelpful.
Izzy
 
Posts: 3344
Joined: 25. April 2006 17:06


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 37 guests